Update wallet payout method
curl --request PUT \
--url https://api-staging.stablestack.com/api/payout/methods/wallets/{payout_method_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"type": "WALLET",
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"currency": "USDC",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"label": "updated usdc wallet"
}
'import requests
url = "https://api-staging.stablestack.com/api/payout/methods/wallets/{payout_method_id}"
payload = {
"type": "WALLET",
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"currency": "USDC",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"label": "updated usdc wallet"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'WALLET',
wallet_address: '0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB',
network: 'erc20',
currency: 'USDC',
customer_id: '85b148ab-3f6b-4d55-917f-3c8de668a48e',
label: 'updated usdc wallet'
})
};
fetch('https://api-staging.stablestack.com/api/payout/methods/wallets/{payout_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "46a75b50-4bdc-4f59-b891-602dc247effe",
"type": "WALLET",
"currency": "USDC",
"label": "updated usdc wallet",
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"created_at": "2025-05-12T15:50:31.679Z",
"updated_at": "2025-05-20T10:15:45.123Z",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
},
"message": "Wallet updated successfully"
}Beneficiary
Update Wallet
API reference for updating wallet payout methods
PUT
/
payout
/
methods
/
wallets
/
{payout_method_id}
Update wallet payout method
Updates an existing wallet payout method (either merchant-owned or customer-specific).
Key Features:
- Supports partial updates - only include fields that need to be modified
- Include
customer_idonly when updating customer-specific wallets - Returns the complete updated wallet object
Request Parameters:
payout_method_id(path, required): The ID of the wallet to update
Request Body:
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", // optional
"label": "updated usdc wallet", // optional
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"currency": "USDC"
}
Headers
Path Parameters
ID of the wallet to update
Body
application/json
Must be 'WALLET' for this endpoint
Available options:
WALLET Example:
"0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB"
Available options:
erc20, polygon Example:
"erc20"
Available options:
USDC Example:
"USDC"
Required only when updating customer-specific wallet
Example:
"85b148ab-3f6b-4d55-917f-3c8de668a48e"
Maximum string length:
100Example:
"updated usdc wallet"